package com.example.rehabilitation.Baza

import android.content.Context
import android.graphics.Paint
import androidx.recyclerview.widget.RecyclerView
import com.example.rehabilitation.databinding.TaskItemBinding
import java.time.format.DateTimeFormatter

class TaskItemViewHolder(
    private val context: Context,
    private val binding: TaskItemBinding,
    private val clickListener: TaskItemClickListener
):RecyclerView.ViewHolder(binding.root) {

    private val timeFormat = DateTimeFormatter.ofPattern("HH:mm")
    fun bindTaskItem(taskItem:TaskItem){
        binding.txtName.text = taskItem.name
        //binding.txtDesc.text = taskItem.desc

        if(taskItem.isCompleted()){
            binding.txtName.paintFlags = Paint.STRIKE_THRU_TEXT_FLAG
            binding.txtTime.paintFlags = Paint.STRIKE_THRU_TEXT_FLAG
        }

        binding.btnComplete.setBackgroundResource(taskItem.imageResource())
        binding.btnComplete.setColorFilter(taskItem.imageColor(context))
        binding.btnComplete.setOnClickListener{
            clickListener.completeTaskItem(taskItem)
        }
        binding.taskCellContainers.setOnClickListener{
            clickListener.editTaskItem(taskItem)
        }

        if(taskItem.dueTime != null){
            binding.txtTime.text = timeFormat.format(taskItem.dueTime)
        }
        else{
            binding.txtTime.text = ""
        }
    }
}